Interface IPluginServletActionParams
- All Superinterfaces:
IPluginParameters, Serializable
- All Known Implementing Classes:
PluginServletActionParams
Interface for the parameters of a servlet action plugin.
- Author:
- XIMA MEDIA GmbH
-
Method Summary
Modifier and TypeMethodDescriptionGets theBACKENDuser that made the request to the plugin action servlet.Returns the HTTP request base URL.Deprecated.Gets the ID of the client scope where the servlet action plugin was called, if any.Returns the portion of the request URI that indicates the context of the request.Gets the ID of the form record scope where the servlet action plugin was called, if any.Gets theFORMuser that made the request to the plugin action servlet.Gets the values stored in the currentFRQSession.Gets the ID of the current form request session, if such a session exists.Gets the ID of the project scope where the servlet action plugin was called, if any.Returns the Internet Protocol (IP) address of the client that sent the request.Gets a new input stream for the HTTP request body.The parameters from the HTTP request.Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.Reconstructs the URL the client used to make the request.Gets the values from the currentHttpSession.Deprecated.default IUsergetUser()Deprecated.Use eithergetFormUser()orgetBackendUser().Deprecated.Gets the ID of the workflow version where the servlet action plugin was called, if any.
-
Method Details
-
getAction
EServletAction getAction()- Returns:
- The HTTP method of the servlet request.
-
getBackendUser
-
getBaseUrl
String getBaseUrl()Returns the HTTP request base URL. This is the URL from the scheme, domain until with context path, including the trailing slash. This is the value you could use in HTML<base>tag in an XHTML view.- Returns:
- The HTTP request base URL.
- Since:
- 8.0.0
- See Also:
-
getBenutzer
Deprecated.UsegetUser()instead.- Returns:
- The
Benutzerfrom the currentXfcSessionwho called the servlet action plugin. - Since:
- 5.0
-
getClientId
Long getClientId()Gets the ID of the client scope where the servlet action plugin was called, if any.- Returns:
- The client ID; or null if no client scope is available.
-
getContextPath
String getContextPath()Returns the portion of the request URI that indicates the context of the request. The context path always comes first in a request URI. The path starts with a "/" character but does not end with a "/" character. For servlets in the default (root) context, this method returns "". The container does not decode this string.It is possible that a servlet container may match a context by more than one context path. In such cases this method will return the actual context path used by the request, and it may differ from the path returned by the
ServletContext.getContextPath()method. The context path returned byServletContext.getContextPath()should be considered as the prime or preferred context path of the application.- Returns:
- a
Stringspecifying the portion of the request URI that indicates the context of the request - Since:
- 8.0.0
- See Also:
-
getFormRecordId
Long getFormRecordId()Gets the ID of the form record scope where the servlet action plugin was called, if any.- Returns:
- The form record ID; or null if no form record scope is available.
-
getFormUser
-
getFormVersionId
Long getFormVersionId() -
getFrontendServer
FrontendServer getFrontendServer()- Returns:
- The current
FrontendServerto which the servlet request was made, ornullif the request was made directly to the master server.
-
getFrqSessionAttributes
Map<Serializable, Serializable> getFrqSessionAttributes()Gets the values stored in the currentFRQSession. The servlet plugin may be executed on a different server that does not have direct access to the HTTP request: Please note that changes to this map are NOT reflected or saved in theFRQSession. To modify the FRQ session attributes, use theIPluginServletActionRetVal.getFrqSessionAttributeMap()return value.- Returns:
- Attributes from the form request session of the current request. If no such session exists, this is an empty map.
- Since:
- 7.0.13
- See Also:
-
getFrqSessionId
String getFrqSessionId()Gets the ID of the current form request session, if such a session exists.- Returns:
- The ID of the current FRQ (form request) session, if such a session exists.
- Since:
- 8.0.0
- See Also:
-
getHeaderMap
-
getLocale
-
getPluginClient
-
getProjectId
Long getProjectId()Gets the ID of the project scope where the servlet action plugin was called, if any.- Returns:
- The project ID; or null if no project scope is available.
-
getRemoteAddr
String getRemoteAddr()Returns the Internet Protocol (IP) address of the client that sent the request. This will first check theForwardedandX-Forwarded-Forrequest headers and if any is present, then return its first IP address, else just returnServletRequest.getRemoteAddr()unmodified.- Returns:
- The IP address of the client.
- Since:
- 8.0.0
- See Also:
-
getRequestBodyInputStream
InputStream getRequestBodyInputStream()Gets a new input stream for the HTTP request body. This input stream will be empty if the content type is either "application/x-www-form-urlencoded" or "multipart/form-data". In these cases, usegetRequestParameters()to access the text parameters andgetUploadFiles()to access the uploaded files.The caller is responsible to close the input stream after use.
- Returns:
- The
InputStreamof the HTTP request body.
-
getRequestParameters
The parameters from the HTTP request. This includes both URL parameters and POST parameters, but excluded uploaded files. Please note that multiple values may have been given for a URL or POST parameter, e.g.http://example.com?foo=bar&foo=baz. Also, for some HTTP methods such asEServletAction.DELETE, you may have to parse the HTTP request body yourself.- Returns:
- A
Mapwith the parameters from theHttpServletRequest. - See Also:
-
getRequestUri
String getRequestUri()Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. The web container does not decode this String. For example:Examples of returned values First line of HTTP request Returned Value POST /some/path.html HTTP/1.1 /some/path.html GET http://foo.bar/a.html HTTP/1.0 /a.html HEAD /xyz?a=b HTTP/1.1 /xyz - Returns:
- a
Stringcontaining the part of the URL from the protocol name up to the query string - Since:
- 8.0.0
- See Also:
-
getRequestUrl
String getRequestUrl()Reconstructs the URL the client used to make the request. The returned URL contains a protocol, server name, port number, and server path, but it does not include query string parameters.If this request has been forwarded using
RequestDispatcher.forward(ServletRequest, ServletResponse), the server path in the reconstructed URL must reflect the path used to obtain the RequestDispatcher, and not the server path specified by the client.- Returns:
- a
StringBufferobject containing the reconstructed URL - Since:
- 8.0.0
- See Also:
-
getSessionAttributeMap
Map<String, Serializable> getSessionAttributeMap()Gets the values from the currentHttpSession. The servlet plugin may be executed on a different server that does not have direct access to the HTTP request: Please note that changes to this map are NOT reflected or saved in theHttpSession. To modify the session attributes, use theIPluginServletActionRetVal.getSessionAttributeMap()return value.- Returns:
- A map
Mapwith all attributes of the currentHttpSession. - Since:
- 5.0
-
getSessionAttributes
Deprecated.- Returns:
- All serializable session attributes.
-
getSessionID
String getSessionID()- Returns:
- The session ID for the user who is currently logged in; or
nullin case no session ID is available (which may happen, for example, when the user is not logged in). - Since:
- 5.1.0
-
getUploadFiles
-
getUser
Deprecated.Use eithergetFormUser()orgetBackendUser().- Returns:
- the user who called the servlet action plugin.
- Since:
- 8.0.0
-
getValueParameters
Deprecated.- Returns:
- All serializable session attributes.
-
getWorkflowVersionId
Long getWorkflowVersionId()Gets the ID of the workflow version where the servlet action plugin was called, if any.- Returns:
- The workflow version ID; or null if no workflow version scope is available.
-
getUser()instead.